> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate training dataset



## OpenAPI

````yaml api-reference/openapi.json post /{character_id}/dataset/generate
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/dataset/generate:
    post:
      tags:
        - Character Dataset
      summary: Generate training dataset
      operationId: generateDataset
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetGenerationRequest'
      responses:
        '200':
          description: Dataset generation started.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetGenerationResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    DatasetGenerationRequest:
      type: object
      properties:
        prompts:
          type: array
          items:
            type: string
        use_default_prompts:
          type: boolean
    DatasetGenerationResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        total_images:
          type: integer
        job_id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````